<!DOCTYPE html>

<html lang="en">



<head>

    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Anteprima Documento</title>

</head>



<body>

    <div id="documentPreview">

        <iframe id="previewFrame" style="width:100%; height:800px;" frameborder="0"></iframe>

    </div>



    <script>

        // Funzione per ottenere i parametri dall'URL corrente

        function getQueryParams() {

            let params = {};

            window.location.search.substr(1).split("&").forEach(function(item) {

                let [key, value] = item.split("=");

                params[key] = value;

            });

            return params;

        }



        // Funzione per aggiornare l'iframe con i parametri dinamici

        function updateIframe() {

            let params = getQueryParams();

            let iframe = document.getElementById('previewFrame');

            let baseURL = 'http://localhost/cmccopiaoriginale/public/techdossier_stepsummarypreview.php';

            let queryString = `?idtd=${params.idtd}&idtrftd=${params.idtrftd}`;

            iframe.src = baseURL + queryString;

        }



        // Chiamata alla funzione per aggiornare l'iframe

        updateIframe();

    </script>

</body>



</html>